Loading...
Searching...
No Matches
irr::scene::IAnimatedMeshMD2 Class Referenceabstract

Interface for using some special functions of MD2 meshes. More...

`#include <IAnimatedMeshMD2.h>`

Inheritance diagram for irr::scene::IAnimatedMeshMD2:

## Public Member Functions

virtual s32 | getAnimationCount () const =0
| Get amount of md2 animations in this file.
virtual const c8 * | getAnimationName (s32 nr) const =0
| Get name of md2 animation.
virtual bool | getFrameLoop (const c8 *name, s32 &outBegin, s32 &outEnd, s32 &outFPS) const =0
| Get frame loop data for a special MD2 animation type, identified by name.
virtual void | getFrameLoop (EMD2_ANIMATION_TYPE l, s32 &outBegin, s32 &outEnd, s32 &outFPS) const =0
| Get frame loop data for a default MD2 animation type.
Public Member Functions inherited from irr::scene::IAnimatedMesh
virtual f32 | getAnimationSpeed () const =0
| Gets the animation speed of the animated mesh.
virtual u32 | getFrameCount () const =0
| Gets the frame count of the animated mesh.
virtual IMesh * | getMesh (s32 frame, s32 detailLevel=255, s32 startFrameLoop=-1, s32 endFrameLoop=-1)=0
| Returns the IMesh interface for a frame.
virtual E_ANIMATED_MESH_TYPE | getMeshType () const
| Returns the type of the animated mesh.
virtual void | setAnimationSpeed (f32 fps)=0
| Sets the animation speed of the animated mesh.
Public Member Functions inherited from irr::scene::IMesh
virtual const core::aabbox3d< f32 > & | getBoundingBox () const =0
| Get an axis aligned bounding box of the mesh.
virtual IMeshBuffer * | getMeshBuffer (const video::SMaterial &material) const =0
| Get pointer to a mesh buffer which fits a material.
virtual IMeshBuffer * | getMeshBuffer (u32 nr) const =0
| Get pointer to a mesh buffer.
virtual u32 | getMeshBufferCount () const =0
| Get the amount of mesh buffers.
virtual void | setBoundingBox (const core::aabbox3df &box)=0
| Set user-defined axis aligned bounding box.
virtual void | setDirty (E_BUFFER_TYPE buffer=EBT_VERTEX_AND_INDEX)=0
| Flag the meshbuffer as changed, reloads hardware buffers.
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING newMappingHint, E_BUFFER_TYPE buffer=EBT_VERTEX_AND_INDEX)=0
| Set the hardware mapping hint.
virtual void | setMaterialFlag (video::E_MATERIAL_FLAG flag, bool newvalue)=0
| Sets a flag of all contained materials to a new value.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface for using some special functions of MD2 meshes.

Definition at line 45 of file IAnimatedMeshMD2.h.

## Member Function Documentation

## getAnimationCount()

virtual s32 irr::scene::IAnimatedMeshMD2::getAnimationCount | ( |  | ) | const

pure virtual

Get amount of md2 animations in this file.

## getAnimationName()

virtual const c8 * irr::scene::IAnimatedMeshMD2::getAnimationName | ( | s32 | nr | ) | const

pure virtual

Get name of md2 animation.

Parameters

  nr | Zero based index of animation.

## getFrameLoop() [1/2]

virtual bool irr::scene::IAnimatedMeshMD2::getFrameLoop | ( | const c8 * | name,
|  | s32 & | outBegin,
|  | s32 & | outEnd,
|  | s32 & | outFPS ) const

pure virtual

Get frame loop data for a special MD2 animation type, identified by name.

Parameters

  name | Name of the animation.
  outBegin | The returned beginning frame for animation type specified.
  outEnd | The returned ending frame for the animation type specified.
  outFPS | The number of frames per second, this animation should be played at.

Returns
  beginframe, endframe and frames per second for a special MD2 animation type.

## getFrameLoop() [2/2]

virtual void irr::scene::IAnimatedMeshMD2::getFrameLoop | ( | EMD2_ANIMATION_TYPE | l,
|  | s32 & | outBegin,
|  | s32 & | outEnd,
|  | s32 & | outFPS ) const

pure virtual

Get frame loop data for a default MD2 animation type.

Parameters

  l | The EMD2_ANIMATION_TYPE to get the frames for.
  outBegin | The returned beginning frame for animation type specified.
  outEnd | The returned ending frame for the animation type specified.
  outFPS | The number of frames per second, this animation should be played at.

Returns
  beginframe, endframe and frames per second for a default MD2 animation type.

The documentation for this class was generated from the following file:

- IAnimatedMeshMD2.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0